Package writer2latex.latex.i18n

# Class ReplacementTrie

java.lang.Object
writer2latex.latex.i18n.ReplacementTrieNode
writer2latex.latex.i18n.ReplacementTrie

public class ReplacementTrie extends ReplacementTrieNode
This class contains a trie of string -> LaTeX code replacements

## Constructor Summary

Constructors
Constructor
Description
`ReplacementTrie()`

## Method Summary

Modifier and Type
Method
Description
`ReplacementTrieNode`
`get(String sInput)`
`ReplacementTrieNode`
`get(String sInput, int nStart, int nEnd)`
`Set<String>`
`getInputStrings()`
`void`
`put(String sInput, String sLaTeXCode, int nFontencs)`

### Methods inherited from class writer2latex.latex.i18n.ReplacementTrieNode

`appendChild, appendSibling, collectStrings, getChildByLetter, getFirstChild, getFontencs, getInputLength, getLaTeXCode, getLetter, getNextSibling, setFontencs, setLaTeXCode, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReplacementTrie

public ReplacementTrie()

## Method Details

### get

public ReplacementTrieNode get(String sInput)

### get

public ReplacementTrieNode get(String sInput, int nStart, int nEnd)

Overrides:
  `get` in class `ReplacementTrieNode`

### put

public void put(String sInput, String sLaTeXCode, int nFontencs)

Overrides:
  `put` in class `ReplacementTrieNode`

### getInputStrings

public Set<String> getInputStrings()